require 'spec_helper'

describe CyymmddConverter do
  describe 'String' do
    it 'should convert cyymmdd date to Ruby Date object' do
      expect('0980615'.convert_from_cyymmdd).to eq(Date.parse('1998-06-15'))
      expect('950101.0'.convert_from_cyymmdd).to eq(Date.parse('1995-01-01'))
      expect('1160509.0'.convert_from_cyymmdd).to eq(Date.parse('2016-05-09'))
      expect('0.0'.convert_from_cyymmdd).to eq(false)
      expect('1981313'.convert_from_cyymmdd).to eq(false)
      expect('1150229'.convert_from_cyymmdd).to eq(false)
    end
  end

  describe 'Date' do
    it 'should convert Ruby Date objectto cyymmdd format' do
      expect(Date.parse('1998-06-15').convert_to_cyymmdd).to eq('0980615')
    end
  end
end